#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 persistent-test
version:              2.13.1.0
visibility:           public
id:                   persistent-test-2.13.1.0-17vsNfmtJ3JJ7J9KV0Xpyw
key:                  persistent-test-2.13.1.0-17vsNfmtJ3JJ7J9KV0Xpyw
license:              MIT
maintainer:           Michael Snoyman <michael@snoyman.com>
author:               Michael Snoyman <michael@snoyman.com>
stability:            Stable
homepage:             http://www.yesodweb.com/book/persistent
synopsis:             Tests for Persistent
description:
    Tests for Persistent. This is only for use in developing libraries that should conform to the persistent interface, not for users of the persistent suite of database libraries.

category:             Database, Yesod
abi:                  9f29a0e19f0d0b831d780abb3b4fd9ce
exposed:              True
exposed-modules:
    CompositeTest CustomPersistField CustomPersistFieldTest
    CustomPrimaryKeyReferenceTest DataTypeTest EmbedOrderTest EmbedTest
    EmptyEntityTest EntityEmbedTest EquivalentTypeTest ForeignKey
    GeneratedColumnTestSQL HtmlTest Init LargeNumberTest
    LongIdentifierTest MaxLenTest MaybeFieldDefsTest
    MigrationColumnLengthTest MigrationIdempotencyTest
    MigrationOnlyTest MigrationTest MpsCustomPrefixTest MpsNoPrefixTest
    PersistTestPetCollarType PersistTestPetType PersistUniqueTest
    PersistentTest PersistentTestModels PersistentTestModelsImports
    PrimaryTest RawSqlTest ReadWriteTest Recursive RenameTest
    SumTypeTest TransactionLevelTest TreeTest UniqueTest UpsertTest

import-dirs:          /usr/lib/ghc-9.0.2/site-local/persistent-test-2.13.1.0
library-dirs:         /usr/lib/ghc-9.0.2/site-local/persistent-test-2.13.1.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-persistent-test
hs-libraries:         HSpersistent-test-2.13.1.0-17vsNfmtJ3JJ7J9KV0Xpyw
depends:
    HUnit-1.6.2.0-C1iPOmv2pdMIa65hP6dNHl
    QuickCheck-2.14.2-6E1s0nkrQNJIUaQam68i9u
    aeson-1.5.6.0-ByG4maisB6W4LqbYiVYaDZ base-4.15.1.0
    blaze-html-0.9.1.2-ALFqX2raoovB4av1Dilzzu bytestring-0.10.12.1
    conduit-1.3.4.2-HLl2meomFAbDa2vNegcdW3 containers-0.6.4.1
    exceptions-0.10.4 hspec-2.9.7-LmSa8fZ2Rdo9XkzzpoBxbw
    hspec-expectations-0.8.2-6qi8cjonJ6NDcZGGp2xU9X
    http-api-data-0.4.3-FDa7bTADgLs7qSvWRIN2li
    monad-control-1.0.3.1-GF3sqD95P1QIutZdI2Mbz7
    monad-logger-0.3.36-FwUXLQwX2SYDvX8wnNX01m mtl-2.2.2
    path-pieces-0.2.1-H7eklAHLAbQDmNQh33Z06o
    persistent-2.13.3.1-FOwBMsrvIx5AfwIbxXePwm
    quickcheck-instances-0.3.27-IzwbdeczOPXDO8Zmlc5UJ7
    random-1.2.1.1-8Yy442tDgI9KXa8FjBISNx
    resourcet-1.2.6-22G92gGH0X5HNKzDUGRZcM text-1.2.5.0 time-1.9.3
    transformers-0.5.6.2 transformers-base-0.4.6-W8BcFiOpBu5ljyVGxClk0
    unliftio-0.2.22.0-EnhMMQvao4L2hYuOKbuvNo
    unliftio-core-0.2.0.1-HjGpVpPktr5Bc3kYrL6LtS
    unordered-containers-0.2.19.1-Egpruffujfv1ZeuVmASDK2

haddock-interfaces:
    /usr/share/doc/haskell-persistent-test/html/persistent-test.haddock

haddock-html:         /usr/share/doc/haskell-persistent-test/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

